## START: Set by rpmautospec
## (rpmautospec version 0.6.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 26
# * tests are broken: https://github.com/gtk-rs/gtk-rs-core/issues/64
%bcond_with check
%global debug_package %{nil}

%global crate gsk4-sys

Name:           rust-gsk4-sys
Version:        0.8.2
Release:        %autorelease
Summary:        FFI bindings of GSK 4

License:        MIT
URL:            https://crates.io/crates/gsk4-sys
Source:         %{crates_source}

BuildRequires:  cargo-rpm-macros >= 24
BuildRequires:  pkgconfig(gtk4) >= 4.0.0

%global _description %{expand:
FFI bindings of GSK 4.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch
Requires:       pkgconfig(gtk4) >= 4.0.0

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+broadway-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+broadway-devel %{_description}

This package contains library source intended for building other packages which
use the "broadway" feature of the "%{crate}" crate.

%files       -n %{name}+broadway-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+v4_10-devel
Summary:        %{summary}
BuildArch:      noarch
Requires:       pkgconfig(gtk4) >= 4.10

%description -n %{name}+v4_10-devel %{_description}

This package contains library source intended for building other packages which
use the "v4_10" feature of the "%{crate}" crate.

%files       -n %{name}+v4_10-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+v4_14-devel
Summary:        %{summary}
BuildArch:      noarch
Requires:       pkgconfig(gtk4) >= 4.13

%description -n %{name}+v4_14-devel %{_description}

This package contains library source intended for building other packages which
use the "v4_14" feature of the "%{crate}" crate.

%files       -n %{name}+v4_14-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+v4_2-devel
Summary:        %{summary}
BuildArch:      noarch
Requires:       pkgconfig(gtk4) >= 4.2

%description -n %{name}+v4_2-devel %{_description}

This package contains library source intended for building other packages which
use the "v4_2" feature of the "%{crate}" crate.

%files       -n %{name}+v4_2-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+v4_4-devel
Summary:        %{summary}
BuildArch:      noarch
Requires:       pkgconfig(gtk4) >= 4.4

%description -n %{name}+v4_4-devel %{_description}

This package contains library source intended for building other packages which
use the "v4_4" feature of the "%{crate}" crate.

%files       -n %{name}+v4_4-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+v4_6-devel
Summary:        %{summary}
BuildArch:      noarch
Requires:       pkgconfig(gtk4) >= 4.6

%description -n %{name}+v4_6-devel %{_description}

This package contains library source intended for building other packages which
use the "v4_6" feature of the "%{crate}" crate.

%files       -n %{name}+v4_6-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+vulkan-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+vulkan-devel %{_description}

This package contains library source intended for building other packages which
use the "vulkan" feature of the "%{crate}" crate.

%files       -n %{name}+vulkan-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
## START: Generated by rpmautospec
* Wed May 08 2024 Fabio Valentini <decathorpe@gmail.com> - 0.8.2-1
- Update to version 0.8.2; Fixes RHBZ#2277363

* Tue Mar 26 2024 Fabio Valentini <decathorpe@gmail.com> - 0.8.1-1
- Update to version 0.8.1; Fixes RHBZ#2262629

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sun Sep 24 2023 Fabio Valentini <decathorpe@gmail.com> - 0.7.3-1
- Update to version 0.7.3; Fixes RHBZ#2240343

* Sat Aug 12 2023 Kalev Lember <klember@redhat.com> - 0.7.2-3
- Disable "v4_14" feature

* Sat Aug 12 2023 Kalev Lember <klember@redhat.com> - 0.7.2-2
- Revert "Re-enable tests as they are fixed in latest upstream release"

* Sat Aug 12 2023 Kalev Lember <klember@redhat.com> - 0.7.2-1
- Update to version 0.7.2; Fixes RHBZ#2231644

* Fri Aug 11 2023 Kalev Lember <klember@redhat.com> - 0.7.0-2
- Re-enable tests as they are fixed in latest upstream release

* Fri Aug 11 2023 Kalev Lember <klember@redhat.com> - 0.7.0-1
- Update to version 0.7.0; Fixes RHBZ#2224891

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Tue Mar 21 2023 Fabio Valentini <decathorpe@gmail.com> - 0.6.3-2
- Disable broken tests

* Sun Mar 19 2023 Fabio Valentini <decathorpe@gmail.com> - 0.6.3-1
- Update to version 0.6.3; Fixes RHBZ#2168315

* Fri Feb 03 2023 Fabio Valentini <decathorpe@gmail.com> - 0.5.5-1
- Update to version 0.5.5; Fixes RHBZ#2150840

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Tue Nov 29 2022 Fabio Valentini <decathorpe@gmail.com> - 0.5.2-1
- Update to version 0.5.2; Fixes RHBZ#2136115

* Mon Aug 08 2022 Fabio Valentini <decathorpe@gmail.com> - 0.4.8-1
- Update to version 0.4.8; Fixes RHBZ#2093622

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Sat Feb 12 2022 Fabio Valentini <decathorpe@gmail.com> - 0.4.2-1
- Update to version 0.4.2; Fixes RHBZ#2040902

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Sun Nov 07 2021 Rémi Lauzier <remilauzier@protonmail.com> - 0.3.1-2
- Downgrade system-deps to version 3

* Sun Nov 07 2021 Rémi Lauzier <remilauzier@protonmail.com> - 0.3.1-1
- Update to version 0.3.1; Fixes RHBZ#2006437

* Mon Aug 09 2021 Rémi Lauzier <remilauzier@protonmail.com> - 0.2.0-1
- Initial import; Fixes RHBZ#1977104
## END: Generated by rpmautospec
